<?php
function calcularValores($totalMeta, $totalRealizado, $percentual)
{
    $metaPercentual = $totalMeta * ($percentual / 100);
    $percentualRealizado = ($metaPercentual != 0) ? number_format(($totalRealizado / $metaPercentual) * 100, 2) : 0;
    $valorFalta = $metaPercentual - $totalRealizado;
    if ($valorFalta <= 0) {
        $valorFalta = 0;
    }
    return [
        'meta' => $metaPercentual,
        'percentual_realizado' => $percentualRealizado,
        'valor_falta' => $valorFalta,
    ];
}
function calcularMediaDiaria($diferenca, $diasrestantes)
{
    if ($diferenca <= 0 || $diasrestantes <= 0) {
        return 0;
    } else {
        return number_format($diferenca / $diasrestantes, 2, ',', '.');
    }
}
